Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetWebPagePreview

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.WebPage>
it.tdlight.jni.TdApi.GetWebPagePreview

Enclosing class:
  TdApi

public static final class TdApi.GetWebPagePreview extends TdApi.Function<TdApi.WebPage>
Returns a link preview by the text of a message. Do not call this function too often. Returns a 404 error if the text has no link preview.

Returns `WebPage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.LinkPreviewOptions`
`linkPreviewOptions`
Options to be used for generation of the link preview; pass null to use default link preview options.
`TdApi.FormattedText`
`text`
Message text with formatting.

## Constructor Summary

Constructors
Constructor
Description
`GetWebPagePreview()`
Returns a link preview by the text of a message.
`GetWebPagePreview(TdApi.FormattedText text, TdApi.LinkPreviewOptions linkPreviewOptions)`
Returns a link preview by the text of a message.
`GetWebPagePreview(DataInput input)`
Returns a link preview by the text of a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.FormattedText text
Message text with formatting.

### linkPreviewOptions

public TdApi.LinkPreviewOptions linkPreviewOptions
Options to be used for generation of the link preview; pass null to use default link preview options.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetWebPagePreview

public GetWebPagePreview()
Returns a link preview by the text of a message. Do not call this function too often. Returns a 404 error if the text has no link preview.

Returns `WebPage`

### GetWebPagePreview

public GetWebPagePreview(TdApi.FormattedText text, TdApi.LinkPreviewOptions linkPreviewOptions)
Returns a link preview by the text of a message. Do not call this function too often. Returns a 404 error if the text has no link preview.

Returns `WebPage`

Parameters:
  `text` - Message text with formatting.
  `linkPreviewOptions` - Options to be used for generation of the link preview; pass null to use default link preview options.

  Returns `WebPage`

### GetWebPagePreview

public GetWebPagePreview(DataInput input) throws IOException
Returns a link preview by the text of a message. Do not call this function too often. Returns a 404 error if the text has no link preview.

Returns `WebPage`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`